# fly.toml app configuration file generated for opcit on 2024-03-13T11:28:59Z
#
# See https://fly.io/docs/reference/configuration/ for information about how to use this file.
#

app = 'opcit'
primary_region = 'lhr'
console_command = '/code/manage.py shell'

[build]

[env]
  PORT = '8000'

[http_service]
  internal_port = 8000
  force_https = true
  auto_stop_machines = true
  auto_start_machines = true
  min_machines_running = 0
  processes = ['app']

[[vm]]
  memory = '1gb'
  cpu_kind = 'shared'
  cpus = 1

[[statics]]
  guest_path = '/code/static'
  url_prefix = '/static/'
